<?php
/*******************************************************************************
	This is a simplified script to add settings into SMF.

	ATTENTION: If you are trying to INSTALL this package, please access
	it directly, with a URL like the following:
		http://www.yourdomain.tld/forum/myspace_settings.php (or similar.)

================================================================================

	This script can be used to add new settings into the database for use
	with SMF's $modSettings array.  It is meant to be run either from the
	package manager or directly by URL.

*******************************************************************************/


// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');
 
/*******************************************************************************/

// Set the below to true to overwrite already existing settings with the defaults. (not recommended.)
$overwrite_old_settings = false;

// List settings here in the format: setting_key => default_value.  Escape any "s. (" => \")
$mod_settings = array(
	'usercp_enable' => '1',
    'usercp_enablecontactadmin' => '1',
    'usercp_switchview' => '1',
    'usecp_showadminid' => '1',
    'usercp_usepm' => '0',
    'usercp_adminid' => '',
   'usercp_field1image' => '',
    'usercp_field1url' => '',
    'usercp_field1maintext' => '',
    'usercp_field1summary' => '',
    'usercp_field1enable' => '',
    'usercp_field2image' => '',
    'usercp_field2url' => '',
    'usercp_field2maintext' => '',
    'usercp_field2summary' => '',
    'usercp_field2enable' => '',
    'usercp_field3image' => '',
    'usercp_field3url' => '',
    'usercp_field3maintext' => '',
    'usercp_field3summary' => '',
    'usercp_field3enable' => '',
    'usercp_field4image' => '',
    'usercp_field4url' => '',
    'usercp_field4maintext' => '',
    'usercp_field4summary' => '',
    'usercp_field4enable' => '',

    
);

/******************************************************************************/
 
 
$string = '';
foreach ($mod_settings as $k => $v)
	$string .= '
			(\'' . $k . '\', \'' . $v . '\'),';

// Sorted out the array defined above - now insert the data!
if ($string != '')
	$result = db_query("
		" . ($overwrite_old_settings ? 'REPLACE' : 'INSERT IGNORE') . " INTO {$db_prefix}settings
			(variable, value)
		VALUES" . substr($string, 0, -1), __FILE__, __LINE__);
// Uh-oh spaghetti-oh!
if ($result === false)
	echo '<b>Error:</b> Database modifications failed!';



echo '<b>The UserCP settings have been added to the database!</b>';
 
?>
